package com.iamberry.wechat.core.entity.agent;

import java.io.Serializable;

/**
 * 各种状态的订单数量
 * 2016年4月20日
 * @author 穆再兴
 *
 */
public class OrderStatusDto implements Serializable{
	private static final long serialVersionUID = 1637633818732877341L;

	private int payCount;			//待支付数量	订单状态：1
	
	private int deliverCount;		//待发货数量	订单状态：2
	
	private int returnMoneyCount;	//退款中数量	订单状态：3
	
	private int deliveredCount;		//已发货数量	订单状态：5
	
	private int returnGoodsCount;	//退货中数量	订单状态：7
	
	private int finishCount;		//订单完成数量	订单状态：11
	
	private int allCount;
	
	public int getPayCount() {
		return payCount;
	}
	public void setPayCount(int payCount) {
		this.payCount = payCount;
	}
	public int getDeliverCount() {
		return deliverCount;
	}
	public void setDeliverCount(int deliverCount) {
		this.deliverCount = deliverCount;
	}
	public int getReturnMoneyCount() {
		return returnMoneyCount;
	}
	public void setReturnMoneyCount(int returnMoneyCount) {
		this.returnMoneyCount = returnMoneyCount;
	}
	
	public int getDeliveredCount() {
		return deliveredCount;
	}
	public void setDeliveredCount(int deliveredCount) {
		this.deliveredCount = deliveredCount;
	}
	public int getReturnGoodsCount() {
		return returnGoodsCount;
	}
	public void setReturnGoodsCount(int returnGoodsCount) {
		this.returnGoodsCount = returnGoodsCount;
	}
	public int getFinishCount() {
		return finishCount;
	}
	public void setFinishCount(int finishCount) {
		this.finishCount = finishCount;
	}
	
	public int getAllCount() {
		return allCount;
	}
	public void setAllCount(int allCount) {
		this.allCount = allCount;
	}
	@Override
	public String toString() {
		return "OrderStatusDto [payCount=" + payCount + ", deliverCount="
				+ deliverCount + ", returnMoneyCount=" + returnMoneyCount
				+ ", deliveredCount=" + deliveredCount + ", returnGoodsCount="
				+ returnGoodsCount + ", finishCount=" + finishCount
				+ ", allCount=" + allCount + "]";
	}
	
}
